title: JSON Web Key (JWK)
type: object
description: JSON Web Key - RFC 7517
additionalProperties: false
required:
  - kty
  - kid
properties:
  kty:
    type: string
    description: Key Type
    enum:
      - EC
      - RSA
      - oct
      - OKP
  use:
    type: string
    description: Public Key Use
    enum:
      - sig
      - enc
  key_ops:
    type: array
    description: Key Operations
    items:
      type: string
      enum:
        - sign
        - verify
        - encrypt
        - decrypt
        - wrapKey
        - unwrapKey
        - deriveKey
        - deriveBits
  alg:
    type: string
    description: Algorithm
  kid:
    description: Key ID
    type: string
  x5u:
    type: string
    description: X.509 URL
    format: uri
  x5c:
    description: X.509 Certificate Chain
    type: array
    items:
      type: string
  x5t:
    type: string
  x5t#S256:
    type: string